Package org.apache.wiki.markdown.extensions.jspwikilinks.attributeprovider

# Class WysiwygEditingAttributeProviderState

java.lang.Object
org.apache.wiki.markdown.extensions.jspwikilinks.attributeprovider.WysiwygEditingAttributeProviderState

All Implemented Interfaces:
  `NodeAttributeProviderState<JSPWikiLink>`

public class WysiwygEditingAttributeProviderState extends Object implements NodeAttributeProviderState<JSPWikiLink>
`NodeAttributeProviderState` to finish up polishing WYSIWYG editing mode. More or less equivalent to WysiwygEditingRenderer, the main difference being that in here there isn't any node removal, those nodes are simply not inserted elsewhere if WYSIWYG editing is detected.

## Constructor Summary

Constructors
Constructor
Description
`WysiwygEditingAttributeProviderState(org.apache.wiki.api.core.Context wikiContext)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setAttributes(com.vladsch.flexmark.util.html.MutableAttributes attributes, JSPWikiLink link)`
Sets node's attributes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WysiwygEditingAttributeProviderState

public WysiwygEditingAttributeProviderState(org.apache.wiki.api.core.Context wikiContext)

## Method Details

### setAttributes

public void setAttributes(com.vladsch.flexmark.util.html.MutableAttributes attributes, JSPWikiLink link)
Sets node's attributes.

Specified by:
  `setAttributes` in interface `NodeAttributeProviderState<JSPWikiLink>`
Parameters:
  `attributes` - node attributes.
  `link` - the specific node in which the attributes are going to be set.
See Also:
  - `NodeAttributeProviderState.setAttributes(MutableAttributes, Node)`